--TD 21805 no packs shown when processing in OR pack status control when option 'Both' is chosen.
-- deletes all products in productorpack that don't have the packtype ORPACK

delete from productorpack por
 where not exists (select 1
          from product p
         where p.product_id = por.product_id
           and p.packtype = 2);

COMMIT;